'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _babelTypes = require('babel-types');

var _getClassName = require('./getClassName');

var _getClassName2 = _interopRequireDefault(_getClassName);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Updates the className value of a JSX element using a provided styleName attribute.
 */
exports.default = (path, stats, styleModuleImportMap, options) => {
  const replaceCallArguments = function (callExpressionArguments) {
    for (const argument of callExpressionArguments) {
      if ((0, _babelTypes.isStringLiteral)(argument)) {
        argument.value = (0, _getClassName2.default)(argument.value, styleModuleImportMap, options);
      } else if ((0, _babelTypes.isObjectExpression)(argument)) {
        for (const property of argument.properties) {
          if ((0, _babelTypes.isStringLiteral)(property.key)) {
            property.key.value = (0, _getClassName2.default)(property.key.value, styleModuleImportMap, options);
          }
        }
      }
    }
  };

  replaceCallArguments(path.node.arguments);
};
//# sourceMappingURL=resolveClassnameCallExpression.js.map